Next: Invoking grub-mkpasswd-pbkdf2, Previous: Invoking grub-install, Up: GNU GRUB manual [Contents][Index]

## 24 Invoking grub-mkconfig

The program `grub-mkconfig` generates a configuration file for GRUB (see Simple configuration handling).

    grub-mkconfig -o /boot/grub/grub.cfg

`grub-mkconfig` accepts the following options:

`--help`

  Print a summary of the command-line options and exit.

`--version`

  Print the version number of GRUB and exit.

`-o file`
`--output=file`

  Send the generated configuration file to file. The default is to send it to standard output.